VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo:
[legend]

## Public Member Functions

| CommandBufferAllocateInfo (CommandPool commandPool_=CommandPool(), CommandBufferLevel level_=CommandBufferLevel::ePrimary, uint32_t commandBufferCount_=0)
| CommandBufferAllocateInfo (VkCommandBufferAllocateInfo const &rhs)
CommandBufferAllocateInfo & | operator= (VkCommandBufferAllocateInfo const &rhs)
CommandBufferAllocateInfo & | setPNext (const void *pNext_)
CommandBufferAllocateInfo & | setCommandPool (CommandPool commandPool_)
CommandBufferAllocateInfo & | setLevel (CommandBufferLevel level_)
CommandBufferAllocateInfo & | setCommandBufferCount (uint32_t commandBufferCount_)
| operator VkCommandBufferAllocateInfo const & () const
| operator VkCommandBufferAllocateInfo & ()
bool | operator== (CommandBufferAllocateInfo const &rhs) const
bool | operator!= (CommandBufferAllocateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
CommandPool | commandPool
CommandBufferLevel | level
uint32_t | commandBufferCount

## Private Attributes

StructureType | sType = StructureType::eCommandBufferAllocateInfo

## Detailed Description

Definition at line 11320 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CommandBufferAllocateInfo() [1/2]

VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::CommandBufferAllocateInfo | ( | CommandPool | commandPool_ = `CommandPool()`,
|  | CommandBufferLevel | level_ = `CommandBufferLevel::ePrimary`,
|  | uint32_t | commandBufferCount_ = `0`
| ) |  |

inline

Definition at line 11322 of file vulkan.hpp.

: commandPool( commandPool_ )
, level( level_ )
, commandBufferCount( commandBufferCount_ )
{
}

## CommandBufferAllocateInfo() [2/2]

VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::CommandBufferAllocateInfo | ( | VkCommandBufferAllocateInfo const & | rhs | ) |

inline

Definition at line 11331 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CommandBufferAllocateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkCommandBufferAllocateInfo &()

VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator VkCommandBufferAllocateInfo & | ( |  | ) |

inline

Definition at line 11370 of file vulkan.hpp.

{
return *reinterpret_cast<VkCommandBufferAllocateInfo*>(this);
}

## operator VkCommandBufferAllocateInfo const &()

VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator VkCommandBufferAllocateInfo const & | ( |  | ) | const

inline

Definition at line 11365 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCommandBufferAllocateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator!= | ( | CommandBufferAllocateInfo const & | rhs | ) | const

inline

Definition at line 11384 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CommandBufferAllocateInfo& VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator= | ( | VkCommandBufferAllocateInfo const & | rhs | ) |

inline

Definition at line 11336 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CommandBufferAllocateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator== | ( | CommandBufferAllocateInfo const & | rhs | ) | const

inline

Definition at line 11375 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( commandPool == rhs.commandPool )
&& ( level == rhs.level )
&& ( commandBufferCount == rhs.commandBufferCount );
}

References commandBufferCount, commandPool, level, pNext, and sType.

Referenced by operator!=().

## setCommandBufferCount()

CommandBufferAllocateInfo& VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::setCommandBufferCount | ( | uint32_t | commandBufferCount_ | ) |

inline

Definition at line 11359 of file vulkan.hpp.

{
commandBufferCount = commandBufferCount_;
return *this;
}

References commandBufferCount.

## setCommandPool()

CommandBufferAllocateInfo& VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::setCommandPool | ( | CommandPool | commandPool_ | ) |

inline

Definition at line 11347 of file vulkan.hpp.

{
commandPool = commandPool_;
return *this;
}

References commandPool.

## setLevel()

CommandBufferAllocateInfo& VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::setLevel | ( | CommandBufferLevel | level_ | ) |

inline

Definition at line 11353 of file vulkan.hpp.

{
level = level_;
return *this;
}

## setPNext()

CommandBufferAllocateInfo& VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11341 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## commandBufferCount

uint32_t VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::commandBufferCount

Definition at line 11396 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::Device::allocateCommandBuffers(), VULKAN_HPP_NAMESPACE::Device::allocateCommandBuffersUnique(), operator==(), and setCommandBufferCount().

## commandPool

CommandPool VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::commandPool

Definition at line 11394 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::Device::allocateCommandBuffersUnique(), operator==(), and setCommandPool().

## level

CommandBufferLevel VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::level

Definition at line 11395 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::pNext = nullptr

Definition at line 11393 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::sType = StructureType::eCommandBufferAllocateInfo

private

Definition at line 11390 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::pNext
const void * pNext
Definition: vulkan.hpp:11393
level
GLint level
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::commandBufferCount
uint32_t commandBufferCount
Definition: vulkan.hpp:11396
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::level
CommandBufferLevel level
Definition: vulkan.hpp:11395
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::CommandBufferAllocateInfo
CommandBufferAllocateInfo(CommandPool commandPool_=CommandPool(), CommandBufferLevel level_=CommandBufferLevel::ePrimary, uint32_t commandBufferCount_=0)
Definition: vulkan.hpp:11322
VkCommandBufferAllocateInfo
Definition: vulkan_core.h:2677
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::commandPool
CommandPool commandPool
Definition: vulkan.hpp:11394
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::sType
StructureType sType
Definition: vulkan.hpp:11390
VULKAN_HPP_NAMESPACE::CommandBufferAllocateInfo::operator==
bool operator==(CommandBufferAllocateInfo const &rhs) const
Definition: vulkan.hpp:11375